#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.25
visibility:           public
id:                   hledger-lib-1.25-LTwmz6dJYInINfwK7iJBWP
key:                  hledger-lib-1.25-LTwmz6dJYInINfwK7iJBWP
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  9545acb8c870154f8b573aca9cc2f558
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Balancing Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.InputOptions Hledger.Read.JournalReader
    Hledger.Read.TimeclockReader Hledger.Read.TimedotReader
    Hledger.Reports Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Utils Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Text.Tabular.AsciiWide

hidden-modules:
    Text.Megaparsec.Custom Text.WideString Paths_hledger_lib

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hledger-lib-1.25
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hledger-lib-1.25
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hledger-lib
hs-libraries:         HShledger-lib-1.25-LTwmz6dJYInINfwK7iJBWP
depends:
    Decimal-0.5.2-7NAi4UUpFupCOOrEZSH3JR
    Glob-0.10.2-FtAep2KjCw0FLBjrEweiQO
    aeson-1.5.6.0-C19GJXDSM92LJPi4EK7PL5
    aeson-pretty-0.8.9-HeArerX8Y0fGL4AepegBhh
    ansi-terminal-0.11.1-3bF8hvpb5rt8AmpxYz60ww array-0.5.4.0
    base-4.15.1.0 blaze-markup-0.8.2.8-KtchT9iUlrB326Ia9UdANr
    bytestring-0.10.12.1 call-stack-0.4.0-7NeU7cTGZz97z9ZklAbz0E
    cassava-0.5.2.0-59sj32JU0GQ915nPeaug48
    cassava-megaparsec-2.0.4-8wVvgOWi0x73EuSYM8dKED
    cmdargs-0.10.21-5dEStss8OK87s5amCxsPTV containers-0.6.4.1
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R directory-1.3.6.2
    doclayout-0.3.1.1-2whXQqPXE0ELSK1zMCCvKw
    extra-1.7.10-KevpvDyc8Q4J7ykyOngBIs
    file-embed-0.0.15.0-FF5xUPWKaB3GI64c6hgPnn filepath-1.4.2.1
    hashtables-1.2.4.2-AhT8HgLtPyo5iMZARU6bOm
    megaparsec-9.2.0-KA2IYpmMNlWBV0oRvGlQJC
    microlens-0.4.12.0-1fJvmROd5lxEQCLdQ6LGgk
    microlens-th-0.4.3.10-CAAiPodk0tn9fh7vbCRi5r mtl-2.2.2
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB
    pretty-simple-4.1.0.0-530rITN3am3EFxT27hYEKA
    regex-tdfa-1.3.1.2-I9dazB1NRxRLMSA6m8ACDy
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    tabular-0.2.2.8-3mznlUNrnmF8EH6LDY9YkX
    tasty-1.4.2.1-FcekK6YgiDbK95h27QlE7v
    tasty-hunit-0.10.0.3-AyXeNbFKls5eCgO9MeguV
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    timeit-2.0-13BYXbUXu2MJzbvDZuPEww transformers-0.5.6.2
    uglymemo-0.1.0.1-K7bsHpbExS57pk9A4akql7
    unordered-containers-0.2.18.0-5g7cvfJKetKCmnCFTnDbJb
    utf8-string-1.0.2-FOQgGpXm4p2BxMMm2pyYrn

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

